Subject: Re: bug#19884: 24.3; Unimplemented `url-handler' functions

From: Eli Barzilay <[email-masked]>
Date: Tue, 17 Feb 2015 20:58:09 -0500

On Tue, Feb 17, 2015 at 6:10 PM, Eli Barzilay <[email-masked]> wrote:
> [...]

*sigh*

I just looked at the updated source tree, and the current code is
different, and in fact, it's doing something close to what I suggested.
Marked as a reply to bug #14806 which is pretty much an identical
description to mine, and fixed by Stefan Monnier (CCed).  So this can be
closed as a duplicate of that one.

But one note is that as far as I can tell, my version is looks more
correct, since the doc of `file-name-completion' says:

  If there is only one and file matches it exactly, returns t.

and the description of `file-name-all-completions' make it seem like
returning a list with the url is more correct than returning nil.

-- 
          ((lambda (x) (x x)) (lambda (x) (x x)))          Eli Barzilay:
                    http://barzilay.org/                   Maze is Life!